Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.olapi.transaction
Class TransactionalObjectInvalidException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--oracle.olapi.transaction.TransactionalObjectInvalidException

public class TransactionalObjectInvalidException
extends java.lang.RuntimeException

Indicates that the `TransactionalObject` is not valid in the current `Transaction`.

See Also:
  Serialized Form

Constructor Summary
`TransactionalObjectInvalidException()` Creates a `TransactionalObjectInvalidException`.
`TransactionalObjectInvalidException(java.lang.String message)` Creates a `TransactionalObjectInvalidException` with the specified message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransactionalObjectInvalidException

    public TransactionalObjectInvalidException()

  Creates a `TransactionalObjectInvalidException`.

### TransactionalObjectInvalidException

    public TransactionalObjectInvalidException(java.lang.String message)

  Creates a `TransactionalObjectInvalidException` with the specified message.
  Parameters:
    `message` - A `String` that contains a message for the exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.